commit: 8caa546886de8a2b86055007afbaae56c1323c70
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 5 05:47:41 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 5 05:50:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8caa5468
dev-python/pytest-mock: Bump to 3.1.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-mock/Manifest | 1 +
dev-python/pytest-mock/pytest-mock-3.1.1.ebuild | 41 +++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/pytest-mock/Manifest b/dev-python/pytest-mock/Manifest
index a460f3795a6..e7dcf76862f 100644
--- a/dev-python/pytest-mock/Manifest
+++ b/dev-python/pytest-mock/Manifest
@@ -1,3 +1,4 @@
DIST pytest-mock-1.11.2.tar.gz 22825 BLAKE2B
d6843d1cb1afc0d5a242103ec4900d56418198b84fa037faf4b6841d7fbfd388273a819a26bfe051e6030690105e74211a27d2b864448598962b3e03788958fa
SHA512
6dc927ce35001d088bddd9d79e024141b9e8163033b07af14b1f63330ef8b93dbf88649702f8fcc4f6ad314212fa5cbd39486b539811ec918450b3f7a716f96c
DIST pytest-mock-2.0.0.tar.gz 24665 BLAKE2B
31a3464e8bff5a2109716e95492ce1d59f2555769e69cccf4012bc268f88c5eeca99924006bdc78cc5e20cf227860d845bead9656aba1c081da58effb38ea100
SHA512
8bd7f634afebeae628470270c81f0198647bf8cd5b0fac438891d881d9823e40e814d598670bb9c9722b864990958e69d385c7c6a6e2adc81d2adcb303fbe0b0
DIST pytest-mock-3.1.0.tar.gz 25003 BLAKE2B
5f12bc664c6342912e0326bc4ac20c1e599f13c047964df3943ae5d31b8a3710406bc4d30bc2c2304c0fffefd0f49441644b667fdbf79426809c230e5b2ecc78
SHA512
6e970aeb1d4086df045a355e11969074e761fcdc3c8486e0405a4051cdf7c4425ae264e7005afe7afe5356f73061ad5f4cbad05b3ce2f55681a3e12ce1a6b671
+DIST pytest-mock-3.1.1.tar.gz 25038 BLAKE2B
416a84af52980d6984b4a2fd63a75fc79bf27fead86e7d0950f6dfcf38bfc27befbf86bdf8d6361b19a4e45c0bf6965d7a57bea5e3fff29a361e0cdb542ef0a1
SHA512
8e55bd7dc45de2c35fbbbbf4385ea805e6546c8d894f3b351bc31fe1c6d9c790f9e14f79de01262c18634d9dfd5142be7520181f1195faccba1f0e8a06ffe675
diff --git a/dev-python/pytest-mock/pytest-mock-3.1.1.ebuild
b/dev-python/pytest-mock/pytest-mock-3.1.1.ebuild
new file mode 100644
index 00000000000..145bc659f1e
--- /dev/null
+++ b/dev-python/pytest-mock/pytest-mock-3.1.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Thin-wrapper around the mock package for easier use with pytest"
+HOMEPAGE="https://github.com/pytest-dev/pytest-mock/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND=">=dev-python/pytest-5[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/pytest-mock-3.1.0-warnings.patch
+)
+
+src_prepare() {
+ if has_version dev-python/mock; then
+ # test fails when standalone mock is installed
+ sed -e 's|^\(def \)\(test_standalone_mock(\)|\1_\2|' -i
tests/test_pytest_mock.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest --assert=plain -vv || die "Tests fail with ${EPYTHON}"
+}